<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

		  <title>Multilingual BERT for Library Classification in Romance Languages using Basisklassifikation
		  </title>

		  <meta name="description" content="Multilingual BERT for Library Classification in Romance Languages using Basisklassifikation">
		<meta name="author" content="Dr. José Calvo Tello">
		    
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">

		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
		<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
				<link rel="stylesheet" href="custom.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->			
## Multilingual BERT for Library Classification in Romance Languages using Basisklassifikation

<br />

###### SWIB?

<hr />

##### José Calvo Tello, Enrique Manjavacas, Susanne Al-Eryani

<!--
<img data-src="./../../images/GAU_SUB_horizontal_cmyk_2022_p.jpg" width="600"/>
-->

--

- No tool! No real software!
- Just som experiments with smoe scripts with some algorithms and some data!

---

# Introduction

--

- Annif (Finnish National Library, German National Library,  Leibniz Information Centre for Economics...)
- One model per language
- Not representative for Univesity libraries
- Ethical issues: possible bias towards already privileged languages (English, German)


--

## Multilingual models
- (one model that can deal with data in several languages!)

---

# Basisklassifikation

--

## BK
- 2087 classes
- Large enough to be usefull (in comparison to Sachgruppen)
- Small enough to be manageble (in comparison to RVK or DDC)
- Open (in comparison to DDC)
- Coli-conc!

--

## BK

- Multi-label
- For this study, only main classes 17 and 18

--

# Hierarchy of the BK
Only three levels:    
- 1st level: represents only the main classes (in this case, 17 and 18).
- 2nd level: represents the direct child classes  of  the 17 and 18 classes, with a total of 63.
- Full: the entire trees rooted at classes 17 and 18, with 160 possible classes.

---

# Romance Studies

--

## Romance Studies
- No National library
- Typical in university libraries
- Several languages (challenge!)
- Using Latin script (advantage!)

--

## Romance Studies
- Resources rich Romance languages: Spanish, French, Italian
- Romance languages with fewer resources: Romanian, Galician
- Middle cases: Catalan, Portuguese
- Resources-rich non-Romance languages: German and English

---

# Dataset

--

## Dataset
- K10plus
- 1980-2019
- Query using several classification systems looking for publications of Romance Studies
- 189.134 publications 

--

<img data-src="./img/2022-07-14_08h36_13.png" width="700"/>


--

## Features Sets

- No fulltext!
- **Title**: only the title of the publication (PICA+ field 021A $a)
- **Bibliographic data**: bibliographies (ex. Zotero libraries) or offers from publishers without  subject labels.
  - Title (title, title supplement in PICA+ field 021A  $d, and title in continuing resources from field 036E $a)
  - Publisher (field 033A $n)    
  - Place of publication (field 033A $a).    
- **Extended data**: specific for libraries; bibliographic data plus following fields:
  - Summary (047I $a)
  - Work (022A $8 and $a)    
  - Expression (039M $8 and $a)    
  - Labels of the RVK (045R $j)    
  - Keywords (044K $a)
  - LOC Keywords (044A $a)

---

# Methods: Multilingual BERT 

--

## Transformers and BERT

- Language models
- Transformers
- "A transformer is a deep learning model that adopts the mechanism of self-attention, differentially weighting the significance of each part of the input data." (Wikipedia)
- Tunstall, Lewis, et al. *Natural Language Processing with Transformers*, O'Reilly Media, Incorporated, 2022. 
- Combination of several existing technologies:
  - The encoder-decoder framework
  - Attention mechanisms
<img data-src="./img/2022-07-14_08h47_38.png" width="700"/>

--

<img data-src="./img/2022-07-14_09h16_33.png" width="700"/>


--

## Multilingual BERT
- mBERT
- Devlin et al, 2019
- Trained with dozens languages from Wikipedia


--

## 1. mBERT as Tokenizer

- Multilingual tokenizer from mBERT
- As classifier, Support Vector Machines (linear kernel)

<img data-src="./img/2022-07-14_09h18_41.png" width="700"/>


--

## 2. mBERT as Classifier

<img data-src="./img/2022-07-14_08h47_38.png" width="700"/>


---

# Results

--

<img data-src="./img/2022-07-14_09h06_25.png" width="700"/>


--
<img data-src="./img/2022-07-14_09h08_04.png" width="1200"/>


--
<img data-src="./img/2022-07-14_09h08_14.png" width="700"/>

--

<img data-src="./img/2022-07-14_09h08_34.png" width="1500"/>

--

<img data-src="./img/2022-07-14_09h08_53.png" width="1200"/>



---
# Next steps

--
# Next steps

1. We have A LOT of data, more than we can actually manage
2. Tests with other fields, types of publications (articles), languages, periods... (ideas?)
3. Ethical issues: to what degree can we understand what and why mBERT is doing what it is doing?
4. No use without human supervision: more efficient technology for happier people, better data for more efficient algorithms!

--

### We need a project for this!

---

--
<img data-src="./../../images/gracias.png" width="700"/>

# for the attention



					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    